import React from 'react';
import styled from 'styled-components';
import Paper from '@material-ui/core/Paper';
import Grid from '@material-ui/core/Grid';
import TextField from '@material-ui/core/TextField';
import MenuItem from '@material-ui/core/MenuItem';

export default function HeaderFilters({ options, orders, currOption, currOrder, handleChangeOption, handleChangeOrder }) {

  if (currOption !== 'User')
    return (
      <FiltersPaper elevation={4} square>
        <Grid container direction='row' spacing={2} alignItems='center'>
          <Grid item xs={12} sm={6}>
            <Grid container alignItems='center'>
              <Grid item xs={12} md={2}>
                <Label>
                  Buscar por:
              </Label>
              </Grid>
              <Grid item xs={12} md={10}>
                <TextField
                  select
                  fullWidth
                  value={currOption}
                  onChange={handleChangeOption}
                  variant="outlined"
                >
                  {options.map((option) => (
                    <MenuItem
                      key={option.value}
                      value={option.name}
                      name={option.value}
                    >
                      <span style={{ color: option.color }}>
                        {option.value}
                      </span>
                    </MenuItem>
                  ))}
                </TextField>
              </Grid>
            </Grid>
          </Grid>

          <Grid item xs={12} sm={6}>
            <Grid container alignItems='center'>
              <Grid item xs={12} md={2}>
                <Label>
                  Ordenar por:
              </Label>
              </Grid>
              <Grid item xs={12} md={10}>
                <TextField
                  select
                  fullWidth
                  value={currOrder}
                  onChange={handleChangeOrder}
                  variant="outlined"
                >
                  {orders.map((option) => (
                    <MenuItem
                      key={option.value}
                      value={option.name}
                      name={option.value}
                    >
                      {option.value}
                    </MenuItem>
                  ))}
                </TextField>
              </Grid>
            </Grid>
          </Grid>
        </Grid>
      </FiltersPaper>
    )
  else
    return (
      <FiltersPaper elevation={4} square>
        <Grid container direction='row' alignItems='center'>
          <Grid item xs={12}>
            <Grid container alignItems='center'>
              <Grid item xs={12} md={2}>
                <Label>
                  Buscar por:
              </Label>
              </Grid>
              <Grid item xs={12} md={10}>
                <TextField
                  select
                  fullWidth
                  value={currOption}
                  onChange={handleChangeOption}
                  variant="outlined"
                >
                  {options.map((option) => (
                    <MenuItem
                      key={option.value}
                      value={option.name}
                      name={option.value}
                    >
                      <span style={{ color: option.color }}>
                        {option.value}
                      </span>
                    </MenuItem>
                  ))}
                </TextField>
              </Grid>
            </Grid>
          </Grid>
        </Grid>
      </FiltersPaper>
    )
}

const Label = styled.p`
  text-align: center;
  font-weight: 600; 
`


const FiltersPaper = styled(Paper)`
  /* height: 150px; */
  text-align: center;
  background-color: #fff;
  margin-top: 5px;
  margin-bottom: 30px;
  padding: 0.5em 1em;
  color: #666;
  .textInfo{
    text-align: start;
  }
`;